
<?php

$a="7780B09D";

function getCardCode()
{
$arr=str_split($a, 2);

//print_r($arr);
$arr1=array();
$count=3;
foreach($arr as $k)
{
$ka=str_split($k, 1);
$temp=$ka[0];
$k[0]=$ka[1];
$k[1]=$temp;
$arr1[$count]=$ka;	
$count--;
}
//print_r($arr1);
//$str=implode($arr1);
//print_r($arr1);
$str="";
for($i=0;$i<count($arr1);$i++)
{
$str =$str.$arr1[$i][0];
$str =$str.$arr1[$i][1];
}
return $str;
}

?>